Get embedded wallet status
curl --request GET \
--url https://platform.spritz.finance/v1/wallet-kit/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/wallet-kit/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/wallet-kit/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "active",
"data": {
"id": "8b3f7e2a-7c5e-4a3a-8a8a-2c5e8a8a2c5e",
"userId": "e3a2c5e8-4a3a-7c5e-8a8a-2c5e8a8a2c5e",
"createdAt": "2025-01-15T10:30:00.000Z"
}
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}Wallet Kit
Get embedded wallet status
Returns the authenticated user’s embedded wallet status. Always 200: branch on status to handle the not-yet-provisioned case (status === "not_provisioned") versus an active wallet (status === "active", with data populated).
GET
/
v1
/
wallet-kit
/
Get embedded wallet status
Authorizations
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Response
Wallet status envelope. data is present only when status === "active". Branch on status to handle the not-yet-provisioned case.
- Option 1
- Option 2
Wallet status envelope. data is present only when status === "active". Branch on status to handle the not-yet-provisioned case.